"use strict";
const tslib_1 = require("tslib");
const os_1 = tslib_1.__importDefault(require("os"));
const find_1 = tslib_1.__importDefault(require("./find"));
const display_1 = tslib_1.__importDefault(require("./display"));
function main(cliOptions) {
    const { _: list, filter } = cliOptions;
    const result = find_1.default(list);
    if (result.found) {
        console.info(display_1.default(result, filter));
        return 0;
    }
    return os_1.default.constants.errno.ENOENT;
}
module.exports = main;
//# sourceMappingURL=main.js.map